curl --request POST \
--url https://cloud.kaneo.app/api/discord-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>",
"channelName": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
}
}
'{
"id": "<string>",
"projectId": "<string>",
"channelName": "<string>",
"webhookConfigured": true,
"maskedWebhookUrl": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Create or replace a Discord integration for a project
curl --request POST \
--url https://cloud.kaneo.app/api/discord-integration/project/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>",
"channelName": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
}
}
'{
"id": "<string>",
"projectId": "<string>",
"channelName": "<string>",
"webhookConfigured": true,
"maskedWebhookUrl": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Bearer token authentication
Discord integration created successfully
Was this page helpful?